#ifndef cmenu_def
#define cmenu_def

#include <allegro.h>
#include <string.h>
#include <math.h>
#include "aldumb.h"
#include "standards.h"
#include "rotk2.h"
#include "sounds.h"

#include "CMenuItem.h"

#define MAXMENUITEMS    20

class CMenu
{
private:
    CMenuItem item[MAXMENUITEMS];
    int number_of_menu_items;
    int selected;
    bool is_keypressed;

public:
    void init(void);
    void add_menu_item(char *_text, itemInfo _info, float _x=0, float _y=0);
    void add_subitem(int n, char *_text);
    void draw_menu(BITMAP *backgr, float offsetx, float offsety);
    void do_menu(void);

};


#endif
